> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deliveries for a Specific Endpoint

> Retrieve the webhook delivery history for a specific endpoint.
Useful for debugging delivery failures for a particular integration.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/webhooks/{endpointId}/events
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/webhooks/{endpointId}/events:
    get:
      tags:
        - Webhook Deliveries
      summary: List Deliveries for a Specific Endpoint
      description: |-
        Retrieve the webhook delivery history for a specific endpoint.
        Useful for debugging delivery failures for a particular integration.
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: 314221a1-3cbf-4d3c-846e-f6c22bc43064
          schema:
            type: string
        - name: endpointId
          in: path
          description: Unique identifier of the targeted endpoint.
          required: true
          example: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
          schema:
            type: string
        - name: page
          in: query
          description: ''
          required: false
          example: '1'
          schema:
            type: string
        - name: limit
          in: query
          description: ''
          required: false
          example: '10'
          schema:
            type: string
        - name: endpoint_url
          in: query
          description: ''
          required: false
          example: https://powerful-cartoon-06.webhook.cool
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created_at:
                          type: string
                        next_retry_at:
                          type: string
                        webhook_endpoint_id:
                          type: string
                        webhook_endpoint:
                          type: object
                          properties:
                            updated_at:
                              type: string
                            created_at:
                              type: string
                            retry_policy:
                              type: string
                            library_id:
                              type: string
                            updated_by:
                              type: string
                            created_by:
                              type: string
                            headers:
                              type: string
                            name:
                              type: string
                            secret:
                              type: string
                            url:
                              type: string
                            events:
                              type: array
                              items:
                                type: string
                            id:
                              type: string
                            organization_id:
                              type: string
                            is_active:
                              type: boolean
                          required:
                            - updated_at
                            - created_at
                            - retry_policy
                            - library_id
                            - updated_by
                            - created_by
                            - headers
                            - name
                            - secret
                            - url
                            - events
                            - id
                            - organization_id
                            - is_active
                        video_id:
                          type: string
                        library_id:
                          type: string
                        payload:
                          type: object
                          properties:
                            event:
                              type: string
                            payload:
                              type: object
                              properties:
                                status:
                                  type: string
                                duration:
                                  type: integer
                                video_id:
                                  type: string
                                client_id:
                                  type: string
                                libraryId:
                                  type: string
                                manifest_url:
                                  type: string
                                thumbnail_url:
                                  type: string
                                direct_play_url:
                                  type: string
                                thumbnail_count:
                                  type: integer
                                formatted_duration:
                                  type: string
                                preview_animation_thumbnail_url:
                                  type: string
                              required:
                                - status
                                - duration
                                - video_id
                                - client_id
                                - libraryId
                                - manifest_url
                                - thumbnail_url
                                - direct_play_url
                                - thumbnail_count
                                - formatted_duration
                                - preview_animation_thumbnail_url
                            event_type:
                              type: string
                            notification_time:
                              type: integer
                          required:
                            - event
                            - payload
                            - event_type
                            - notification_time
                        response_body:
                          type: string
                        event:
                          type: string
                        response_status:
                          type: integer
                        attempt:
                          type: integer
                        duration_ms:
                          type: integer
                        success:
                          type: boolean
                        error:
                          type: string
                      required:
                        - id
                        - created_at
                        - webhook_endpoint_id
                        - webhook_endpoint
                        - video_id
                        - library_id
                        - payload
                        - response_body
                        - event
                        - response_status
                        - attempt
                        - duration_ms
                        - success
                        - next_retry_at
                        - error
                  meta:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                          first:
                            type: string
                          last:
                            type: string
                        required:
                          - self
                          - first
                          - last
                      pagination:
                        type: object
                        properties:
                          page:
                            type: integer
                          page_size:
                            type: integer
                          total:
                            type: integer
                          total_pages:
                            type: integer
                        required:
                          - page
                          - page_size
                          - total
                          - total_pages
                    required:
                      - links
                      - pagination
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - meta
                  - message
                  - success
              example:
                data:
                  - id: b304abe3-c55c-456c-8c1c-7a3a56d7252b
                    created_at: '2025-11-02T07:30:25.783562+06:00'
                    next_retry_at: '2025-11-06T17:57:25.925649+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"error":"Timeout"}'
                    event: transcoding
                    response_status: 200
                    attempt: 4
                    duration_ms: 323
                    success: true
                  - id: f8c80065-2f3b-4355-9816-77f11128926e
                    created_at: '2025-11-04T07:38:02.20605+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: transcoding
                    response_status: 500
                    attempt: 3
                    duration_ms: 2550
                    success: true
                  - id: 7eaa4fb4-4bbf-4847-8b48-02a7581c89cf
                    created_at: '2025-11-03T16:28:32.710117+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: packaging
                    response_status: 202
                    attempt: 4
                    duration_ms: 2669
                    success: true
                  - id: cb5c12e7-2088-4efc-817e-2af7ef32e046
                    created_at: '2025-11-05T23:53:44.650536+06:00'
                    next_retry_at: '2025-11-06T18:40:23.982418+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    error: connection timeout
                    event: packaging
                    response_status: 400
                    attempt: 4
                    duration_ms: 1160
                    success: true
                  - id: 807f5639-2144-4820-a4b0-62bbae99b14e
                    created_at: '2025-11-02T20:08:33.307421+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: packaging
                    response_status: 200
                    attempt: 4
                    duration_ms: 2128
                    success: true
                  - id: c61fc200-8045-47c9-9327-7865abe30045
                    created_at: '2025-11-05T20:42:57.618224+06:00'
                    next_retry_at: '2025-11-06T18:32:49.56175+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: packaging
                    response_status: 500
                    attempt: 2
                    duration_ms: 1144
                    success: true
                  - id: 7f2c00f0-f8a3-437b-890c-78dab8b4bccb
                    created_at: '2025-11-04T19:39:36.496867+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"error":"Timeout"}'
                    event: packaging
                    response_status: 200
                    attempt: 2
                    duration_ms: 1028
                    success: true
                  - id: b2076eea-ae5b-4f14-961e-2e4d7ff55be9
                    created_at: '2025-11-02T07:36:10.890378+06:00'
                    next_retry_at: '2025-11-06T18:41:19.302406+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: transcoding
                    response_status: 500
                    attempt: 4
                    duration_ms: 1964
                    success: true
                  - id: df6492d7-9c00-4b66-ad33-32d0ee24f639
                    created_at: '2025-11-03T20:52:07.048839+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    error: connection timeout
                    event: processing
                    response_status: 200
                    attempt: 3
                    duration_ms: 1343
                    success: true
                  - id: 70577826-54b5-4739-a566-291cfd452108
                    created_at: '2025-11-04T09:41:26.877426+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: uploading
                    response_status: 500
                    attempt: 3
                    duration_ms: 1766
                    success: false
                  - id: a422000e-4a4b-45f2-827a-a0bedf0eef80
                    created_at: '2025-11-03T10:13:08.920004+06:00'
                    next_retry_at: '2025-11-06T17:47:23.617981+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: packaging
                    response_status: 400
                    attempt: 4
                    duration_ms: 1073
                    success: true
                  - id: 4cf37f50-3d32-4dc4-a0fe-ae66198d5250
                    created_at: '2025-11-02T19:49:07.322803+06:00'
                    next_retry_at: '2025-11-06T18:21:36.219939+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: transcoding
                    response_status: 202
                    attempt: 4
                    duration_ms: 1060
                    success: true
                  - id: 2adff7dd-28c1-4bca-9117-e422435c4f06
                    created_at: '2025-11-06T14:09:34.981322+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: processing
                    response_status: 400
                    attempt: 2
                    duration_ms: 2147
                    success: true
                  - id: a888cba4-8eee-4961-b152-10c8987fdc53
                    created_at: '2025-11-03T20:16:54.473555+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    error: connection timeout
                    event: uploading
                    response_status: 500
                    attempt: 4
                    duration_ms: 2614
                    success: true
                  - id: b9554483-2b61-4f31-8f98-cbf88b2da63a
                    created_at: '2025-11-02T19:23:43.907977+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: uploading
                    response_status: 200
                    attempt: 3
                    duration_ms: 2900
                    success: false
                  - id: b98d7708-59bf-4ee3-8bec-0907b0e2502c
                    created_at: '2025-11-02T23:22:49.873342+06:00'
                    next_retry_at: '2025-11-06T18:33:51.855985+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"error":"Timeout"}'
                    event: processing
                    response_status: 404
                    attempt: 2
                    duration_ms: 867
                    success: true
                  - id: 7f7ec039-f802-4dbe-ba3f-1eec20679372
                    created_at: '2025-11-01T18:05:33.155093+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"error":"Timeout"}'
                    event: transcoding
                    response_status: 404
                    attempt: 2
                    duration_ms: 1378
                    success: true
                  - id: ebbbf8f7-a65d-4ed5-a725-d4868fd68d94
                    created_at: '2025-11-03T06:46:46.431422+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: packaging
                    response_status: 200
                    attempt: 2
                    duration_ms: 2339
                    success: false
                  - id: 0fdf674a-0480-4d64-85a1-457f1836de49
                    created_at: '2025-11-06T08:02:39.054935+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: processing
                    response_status: 404
                    attempt: 2
                    duration_ms: 194
                    success: true
                  - id: e9c996da-d45e-423b-892a-d3ee9d69d914
                    created_at: '2025-11-01T21:16:40.777918+06:00'
                    webhook_endpoint_id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                    webhook_endpoint:
                      updated_at: '2025-11-06T16:07:02.449799+06:00'
                      created_at: '2025-11-06T16:07:02.449799+06:00'
                      retry_policy: null
                      library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                      updated_by: null
                      created_by: 9ba29736-cc5d-4e1c-85e8-f73849914ae0
                      headers: null
                      name: Video created events
                      secret: auto-generate
                      url: https://nice-lifeguard-82.webhook.cool
                      events:
                        - created
                      id: b3dd230a-3627-433a-b440-1a5aa00ecd3e
                      organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                      is_active: true
                    video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                    library_id: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                    payload:
                      event: created
                      payload:
                        status: created
                        duration: 1265
                        video_id: ed36f724-f85d-4597-bb4f-094e57ba9028
                        client_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                        libraryId: 314221a1-3cbf-4d3c-846e-f6c22bc43064
                        manifest_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/playlist.m3u8
                        thumbnail_url: ''
                        direct_play_url: >-
                          https://player-v2.vidinfra.com/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/ed36f724-f85d-4597-bb4f-094e57ba9028
                        thumbnail_count: 0
                        formatted_duration: '00:21:05'
                        preview_animation_thumbnail_url: >-
                          http://10.10.10.11:9000/314221a1-3cbf-4d3c-846e-f6c22bc43064/ed36f724-f85d-4597-bb4f-094e57ba9028/sprite.vtt
                      event_type: video
                      notification_time: 1762426083
                    response_body: '{"message":"OK"}'
                    event: packaging
                    response_status: 500
                    attempt: 3
                    duration_ms: 657
                    success: true
                meta:
                  links:
                    self: >-
                      /libraries/314221a1-3cbf-4d3c-846e-f6c22bc43064/webhooks/b3dd230a-3627-433a-b440-1a5aa00ecd3e/events?limit=20&page=1
                    first: >-
                      /libraries/314221a1-3cbf-4d3c-846e-f6c22bc43064/webhooks/b3dd230a-3627-433a-b440-1a5aa00ecd3e/events?limit=20&page=1
                    last: >-
                      /libraries/314221a1-3cbf-4d3c-846e-f6c22bc43064/webhooks/b3dd230a-3627-433a-b440-1a5aa00ecd3e/events?limit=20&page=1
                  pagination:
                    page: 1
                    page_size: 20
                    total: 20
                    total_pages: 1
                message: Webhook Endpoints Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````